import { axios } from '@/utils/request'

// 修配易码通-商城  客户账户 列表  有分页
export const storeAccountList = (params) => {
  const url = `/storeAccount/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('列表查询')
    }
  })
}

// 修配易码通-商城  客户账户 统计
export const storeAccountCount = (params) => {
  return axios({
    url: '/storeAccount/querySum',
    data: params,
    method: 'post'
  })
}

// 修配易码通-商城  客户账户  清零记录、交易流水列表   有分页
export const storeAccountDetailList = (params) => {
  const url = `/storeAccount/querydetailPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('列表查询')
    }
  })
}

// 修配易码通-商城  客户账户   清零
export const storeAccountSetZero = (params) => {
  return axios({
    url: '/storeAccount/setZero',
    data: params,
    method: 'post'
  })
}

// 修配易码通-商城  交易流水 统计
export const storeAccountDetailCount = (params) => {
  return axios({
    url: '/storeAccount/queryDetailSum',
    data: params,
    method: 'post'
  })
}
