import { axios } from '@/utils/request'

//  对账单管理 列表  分页
export const verifyAcountBillList = (params) => {
  const url = `/verifyAccountBill/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('列表查询')
    }
  })
}

// 对账单修改
export const verifyAccountBillModify = params => {
  return axios({
    url: '/verifyAccountBill/modify',
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('对账单修改')
    }
  })
}
// 对账单管理  删除
export const verifyAcountBillDel = params => {
  return axios({
    url: `/verifyAccountBill/delete/${params.sn}`,
    data: {},
    method: 'get',
    headers: {
      'module': encodeURIComponent('删除对账单')
    }
  })
}
// 对账单管理  详情
export const verifyAcountBillDetail = params => {
  return axios({
    url: `/verifyAccountBill/findBySn/${params.sn}`,
    data: {},
    method: 'get',
    headers: {
      'module': encodeURIComponent('查看对账单详情')
    }
  })
}
// 对账单管理  对账
export const verifyAcountBillVerify = params => {
  return axios({
    url: `/verifyAccountBill/verifyBill/${params.sn}`,
    data: {},
    method: 'get',
    headers: {
      'module': encodeURIComponent('对账')
    }
  })
}
 
//  对账单管理  明细 列表  不分页
export const verifyAcountBillDetailQueryList = (params) => {
  const url = `/verifyAccountBill/queryDetailList`
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('对账单明细-列表')
    }
  })
} 